unit omrdemounit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    OMRSession:Integer;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

Uses RecoOMRApi;

procedure TForm1.Button1Click(Sender: TObject);
Var HandleDIB:Integer;
    Result:Integer;
    DensityPercentage,SizePercentage:Double;
    Buffer:String;
begin
 Buffer:='';

 // Load the image to recognize
 HandleDIB := OMR_LoadImage(OMRSession, '.\omrtest.tif');

 // Check if DIB was loaded
 If HandleDIB <> 0 Then
  begin

  // process the check box #1
  Result := OMR_Recognize(OMRSession, HandleDIB, 42, 102, 65, 126);

  // get the ink recognized
  OMR_GetMarkDensityPercent (OMRSession, DensityPercentage);

  // get the mark recognized
  OMR_GetMarkSizePercent (OMRSession, SizePercentage);

  // define if the box is checked or not
  If (DensityPercentage >= 10) And (SizePercentage >= 40) Then
   Buffer := Buffer + '#1 CHECKED '
  Else
   If (DensityPercentage < 10) And (SizePercentage < 40) Then
    Buffer := Buffer + '#1 UNCHECKED '
   Else
    Buffer := Buffer + '#1 Unknown ';

  Buffer := Buffer + '(' + FloatToStr(DensityPercentage) + '/' + FloatToStr(SizePercentage) + ')';

  Buffer := Buffer + #13#10;

  // process the check box #2
  Result := OMR_Recognize(OMRSession, HandleDIB, 142, 102, 165, 126);

  // get the ink recognized
  OMR_GetMarkDensityPercent (OMRSession, DensityPercentage);

  // get the mark recognized
  OMR_GetMarkSizePercent (OMRSession, SizePercentage);

  // define if the box is checked or not
  If (DensityPercentage >= 10) And (SizePercentage >= 40) Then
   Buffer := Buffer + '#2 CHECKED '
  Else
   If (DensityPercentage < 10) And (SizePercentage < 40) Then
    Buffer := Buffer + '#2 UNCHECKED '
   Else
    Buffer := Buffer + '#2 Unknown ';

  Buffer := Buffer + '(' + FloatToStr(DensityPercentage) + '/' + FloatToStr(SizePercentage) + ')';

  Buffer := Buffer + #13#10;

  // process the check box #3
  Result := OMR_Recognize(OMRSession, HandleDIB, 242, 102, 265, 126);

  // get the ink recognized
  OMR_GetMarkDensityPercent (OMRSession, DensityPercentage);

  // get the mark recognized
  OMR_GetMarkSizePercent (OMRSession, SizePercentage);

  // define if the box is checked or not
  If (DensityPercentage >= 10) And (SizePercentage >= 40) Then
   Buffer := Buffer + '#3 CHECKED '
  Else
   If (DensityPercentage < 10) And (SizePercentage < 40) Then
    Buffer := Buffer + '#3 UNCHECKED '
   Else
    Buffer := Buffer + '#3 Unknown ';

  Buffer := Buffer + '(' + FloatToStr(DensityPercentage) + '/' + FloatToStr(SizePercentage) + ')';

  Buffer := Buffer + #13#10;

  // process the check box #4
  Result := OMR_Recognize(OMRSession, HandleDIB, 342, 102, 365, 126);

  // get the ink recognized
  OMR_GetMarkDensityPercent (OMRSession, DensityPercentage);

  // get the mark recognized
  OMR_GetMarkSizePercent (OMRSession, SizePercentage);

  // define if the box is checked or not
  If (DensityPercentage >= 10) And (SizePercentage >= 40) Then
   Buffer := Buffer + '#4 CHECKED '
  Else
   If (DensityPercentage < 10) And (SizePercentage < 40) Then
    Buffer := Buffer + '#4 UNCHECKED '
   Else
    Buffer := Buffer + '#4 Unknown ';

  Buffer := Buffer + '(' + FloatToStr(DensityPercentage) + '/' + FloatToStr(SizePercentage) + ')';

  Buffer := Buffer + #13#10;

  // show results
  Memo1.Text := Buffer;

  // Free the image from memory
  OMR_FreeImage(OMRSession, HandleDIB);
 end Else ShowMessage('Image not loaded !');
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
 OMRSession:=OMR_Init('demo','demo');
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
 OMR_Done(OMRSession);
end;

end.
